summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDon Anderson <dda@ddanderson.com>2015-01-22 10:54:27 -0500
committerDon Anderson <dda@ddanderson.com>2015-01-22 10:54:27 -0500
commit77101472386925b0bcdf2483193caa00483e8889 (patch)
treed45669b8077586add199b64531c9ee7d63e893f7
parent4843cd78e7f90937ebdb23f84fbd7c133a7e5256 (diff)
downloadmongo-77101472386925b0bcdf2483193caa00483e8889.tar.gz
Add dist script to check public wrapper names generated by SWIG
for possible naming conflicts to keep us from repeating this bug. Refs #1574.
-rwxr-xr-xdist/s_lang19
1 files changed, 19 insertions, 0 deletions
diff --git a/dist/s_lang b/dist/s_lang
new file mode 100755
index 00000000000..56a7a212e6b
--- /dev/null
+++ b/dist/s_lang
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# Check lang directories for potential name conflicts
+t=__wt.$$
+trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+
+cd ..
+
+for l in java python; do
+ sed -e '/SWIGINTERN.*__wt_[a-z][a-z]*_[a-z]/!d' \
+ -e '/__wt_[^(]*__.*(/d' \
+ -e '/_wrap/d' \
+ -e "/_${l}_/d" \
+ lang/$l/wiredtiger_wrap.c > $t
+ if [ -s $t ]; then
+ echo "$l: potential name conflict"
+ cat $t
+ fi
+done